//Archer Include

namespace ArcherParams
{
enum Aim {
    not_aiming = 0,
    readying,
    charging,
    decharging,
    fired,
    no_arrows,
	stabbing
}

const ::s32 ready_time = 15;
const ::s32 shoot_period = 62;
const ::s32 fired_time = 7;
const ::f32 shoot_max_vel = 19.59f;
}

namespace ArrowType
{
enum type
{
    normal = 0,
    fire
};
}

const string[] arrowTypeNames = { "mat_arrows",
                                  "mat_firearrows"
                                };
const string[] arrowNames = { "Regular arrows",
                              "Fire arrows"
                            };
