// character was placed in crate

void onThisAddToInventory( CBlob@ this, CBlob@ inventoryBlob )
{
	this.doTickScripts = true; // run scripts while in crate
    this.getMovement().server_SetActive( true );
}

// pick up efffects
// something was picked up

void onAddToInventory( CBlob@ this, CBlob@ blob )
{
    this.getSprite().PlaySound( "/PutInInventory.ogg" );
}

void onAttach( CBlob@ this, CBlob@ attached, AttachmentPoint @attachedPoint )
{
    this.getSprite().PlaySound( "/Pickup.ogg" );
    // check if we picked a player - don't just take him out of the box
    /*if (attached.hasTag("player"))
    this.server_DetachFrom( attached ); CRASHES*/
}

bool doesCollideWithBlob( CBlob@ this, CBlob@ blob )
{
	if (this.hasTag("dead"))    { // when dead, collide only if its moving
		bool slow = (this.getShape().vellen < 0.5f);
        return !slow;
    }
    else // collide only if not a player or other team member, or crouching
    {
		
		if (blob.hasTag("player") && this.getTeamNum() == blob.getTeamNum())
			return false;

		const bool still = (this.getShape().vellen < 0.01f);
		if (this.isKeyPressed(key_down) && 
				this.isOnGround() && still &&
				!blob.hasTag("ignore crouch"))
			return false;
			
    }
    
    return true;
}
