//Get stuck running forward/backward based on facing direction
//make sure this goes before the actual mover code in execution order

#include "FireCommon.as";

void onInit( CMovement@ this )
{
	this.getCurrentScript().runFlags |= Script::tick_infire;
	this.getCurrentScript().removeIfTag = "dead";
}

void onTick( CMovement@ this )
{
    CBlob@ blob = this.getBlob();
    if (blob.getHealth() > 0.0f)
    {
        const s16 burn_time = blob.get_s16( burn_timer );
        if (burn_time > 0)
        {
            MovementVars@ vars = this.getVars();

            if (blob.isFacingLeft())
            {
                blob.setKeyPressed(key_right,false);
                blob.setKeyPressed(key_left,true);
            }
            else
            {
                blob.setKeyPressed(key_left,false);
                blob.setKeyPressed(key_right,true);
            }
        }
    }
}
