				  // set ladder if we're on it, otherwise set false

void onInit( CBlob@ this )
{
	this.getCurrentScript().tickFrequency = 5; // opt	 
}

void onTick( CBlob@ this )
{
	ShapeVars@ vars = this.getShape().getVars(); 
    vars.onladder = false;
    
    if (this.isOnGround()) return;
    
    //check overlapping objects

	CBlob@[] overlapping;		
	if (this.getOverlapping( @overlapping ))
	{
		for (uint i = 0; i < overlapping.length; i++)
		{
			CBlob@ overlap = overlapping[i];

			if (overlap.isLadder() && !overlap.isAttachedTo(this))
			{
				vars.onladder = true;
				break;
			}
		}
	}
}
