void onInit( CSprite@ this )
{
	this.getCurrentScript().tickFrequency = 3;
}

void onTick(CSprite@ this)
{
	CSpriteLayer@ front = this.getSpriteLayer( "front layer" );
	if (front !is null)
	{	
		bool visible = front.isVisible();
		
		CPlayer@ p = getLocalPlayer();
		if (p !is null)
		{
			CBlob@ local = p.getBlob();
			if (local !is null)
			{
				f32 length = (local.getPosition() - this.getBlob().getPosition()).Length();
				f32 popdistance = visible ? 24 : 32;
				if (visible)
				{
					if (length < popdistance)
					{
						visible = false;
					}
				}
				else
				{
					if (length > popdistance)
					{
						visible = true;
					}
				}
			}
			else
			{
				visible	= true;
			}
		}
		else
		{
			visible	= true;
		}
	
		front.SetVisible(visible);
		
		CBlob@ blob = this.getBlob();
		front.animation.setFrameFromRatio(1.0f - (blob.getHealth()/blob.getInitialHealth()));
	}
}
