﻿// Tunnel

#include "WARCosts.as";

void onInit( CBlob@ this )
{
    this.Tag("travel tunnel");
	this.set_TileType("background tile", CMap::tile_castle_back);
	this.getSprite().getConsts().accurateLighting = true;
	this.getSprite().SetZ(-50); //background
	this.getShape().getConsts().mapCollisions = false;
}

// destroy tunnel after enemly uses it
void onCommand( CBlob@ this, u8 cmd, CBitStream @params )
{
	if (cmd == this.getCommandID("travel"))
	{
		CBlob@ caller = getBlobByNetworkID( params.read_u16() );
		if (caller !is null && caller.getTeamNum() != this.getTeamNum()) {
			this.server_Die();
		}
	}
}
  
// leave a pile of stone after death
void onDie(CBlob@ this)
{
	if (getNet().isServer())
	{
		CBlob@ blob = server_CreateBlob( "mat_stone", this.getTeamNum(), this.getPosition() );
		if (blob !is null)
		{
			blob.server_SetQuantity( COST_STONE_TUNNEL/2 );
		}
	}
}
