#include "MakeMat.as";

void onHitMap( CBlob@ this, Vec2f worldPoint, Vec2f velocity, f32 damage, u8 customData )
{
    if (getNet().isServer() && damage > 0.0f)
    {
		//printf("damage " + damage );
        getMap().server_DestroyTile( worldPoint, damage );
        // spawn materials
        TileType tile = getMap().getTile( worldPoint );

        if (getMap().isTileStone( tile ))
        {
            MakeMat( this, worldPoint, "mat_stone", 4 * damage );  // builder is typically 0.5f
        }
        else if (getMap().isTileGold( tile ))
        {
            MakeMat( this, worldPoint, "mat_gold", 4 * damage );
        }
    }
}
