// Flowers logic

#include "../Scripts/canGrow.as";

void onInit( CBlob@ this )
{
    this.set_bool("grown", false);
    this.server_SetHealth(0.01f);
    //this.getShape().SetStatic( true );    doesnt grow with this why?
}


void onTick( CBlob@ this )
{
    bool grown = this.get_bool("grown");

	if (getNet().isServer())
	{
		if ( canGrowAt( this,(this.getPosition() + Vec2f(0.0f,6.0f) ))  )
		{
			if ( Random(10) == 0 )
			{
				f32 rate = 0.5f / getTicksASecond();
				this.server_Heal(rate);
			}
		}
		else //have been unrooted!
		{
			if (!grown) {
				this.server_SetHealth(0.01f);    //revert to seed if we haven't grown yet
			}
			else
			{
				//gib
				this.server_SetHealth(-1.0f);
				this.server_Die();
			}
		}
	}

    if (!grown && this.getHealth() >= this.getInitialHealth() - 0.01f)
    {
		this.AddScript( "Eatable.as" );
        this.set_bool("grown", true);
    }
}
