// Plant animation

void onTick( CSprite@ this )
{
    bool isGrown = this.getBlob().getHealth() >= this.getBlob().getInitialHealth() - 0.01f;
    if (isGrown)
    {
        Animation @anim = this.getAnimation("default");

        if (anim !is null)
        {
            {
                this.SetAnimation( anim );
                f32 ratio = this.getBlob().getHealth() / this.getBlob().getInitialHealth();

                if (ratio <= 0.0f) {
                    this.animation.frame = this.animation.getFramesCount()-1;
                }
                else {
                    this.animation.frame = (1.0f - ratio) * (this.animation.getFramesCount());
                }

				this.getCurrentScript().runFlags |= Script::remove_after_this;
            }
        }
    }
    else
    {
        Animation @anim = this.getAnimation("growth");

        if (anim !is null)
        {
            if (this.getBlob().getHealth() < this.getBlob().getInitialHealth())
            {
                this.SetAnimation( anim );
                f32 ratio = this.getBlob().getHealth() / this.getBlob().getInitialHealth();

                if (ratio <= 0.0f) {
                    this.animation.frame = this.animation.getFramesCount()-1;
                }
                else {
                    this.animation.frame = (1.0f - ratio) * (this.animation.getFramesCount());
                }
            }
        }
    }
}
