// Ladder

#include "Help.as"

void onInit( CBlob@ this )
{
    this.getShape().SetRotationsAllowed( false );
    this.getShape().getVars().waterDragScale = 10.0f;
	this.getShape().getConsts().collideWhenAttached = true;
    this.setTeamNum(-1); // no team ladders
    //this.Tag("place45"); // player holding this will place it using a special positioning script
    
    this.Tag("ignore blocking actors");
    
	CSprite @sprite = this.getSprite();
	sprite.SetZ(-20.0f);
	
	this.getShape().getConsts().waterPasses = true;

	this.getCurrentScript().tickFrequency = 1;
	this.getCurrentScript().runFlags |= Script::tick_not_attached;

	SetHelp( this, "help rotate", "", "$ladder$ Rotate \n\n         $KEY_SPACE$" ); 
}

bool canBePickedUp( CBlob@ this, CBlob@ byBlob )
{
    return false;
}
