
// set camera on local player
// this just sets the target, specific camera vars are usually set in StandardControls.as

#define CLIENT_ONLY

void onSetPlayer( CRules@ this, CBlob@ blob, CPlayer@ player )
{
    if (getCamera() !is null && player !is null && player is getLocalPlayer())
    {
        getCamera().setTarget( blob );
    }
}

// change to spectator cam on death

void onPlayerDie( CRules@ this, CPlayer@ victim, CPlayer@ attacker, u8 customData )
{
    CCamera@ camera = getCamera();

    if (camera !is null && victim is getLocalPlayer())
    {
        camera.setTarget( null );
    }
}
