//WAR HUD DATATYPES
//Serialised into a bitstream then read sequentially, nicer/faster than using strings too.

shared class WAR_HUD
{
    //is this our team?
    u8 team_num;
    //units
    u8 num_units;
    u8 num_alive;
    //attacked
    bool under_raid;

    WAR_HUD() { under_raid = false; }
    WAR_HUD(CBitStream@ bt) { Unserialise(bt); }

    void Serialise(CBitStream@ bt)
    {
        bt.write_u8(team_num);
        bt.write_u8(num_units);
        bt.write_u8(num_alive);
        bt.write_bool(under_raid);
    }

    void Unserialise(CBitStream@ bt)
    {
        team_num = bt.read_u8();
        num_units = bt.read_u8();
        num_alive = bt.read_u8();
        under_raid = bt.read_bool();
    }

};
