//handy dandy frame lookup
namespace Emotes {
enum Emote_Indices {
    skull = 0,
    blueflag,
    note,
    right,
    smile,
    redflag,
    flex,
    down,
    frown,
    troll,
    finger,
    left,
    mad,
    archer,
    sweat,
    up,
    laugh,
    knight,
    question,
    thumbsup,
    wat,
    builder,
    disappoint,
    thumbsdown,
    derp,
    ladder,
    attn,
    pickup,
    cry,
    wall,
    nothing,
    blank,
    check,
    cross,
    dots,
    cog,
    emotes_total,
    off
};
}

void set_emote(CBlob@ this, u8 emote, int time)
{
    this.set_u8("emote", emote);
    this.set_u32("emotetime", getGameTime()+time);
    this.Sync("emote", false);
    this.Sync("emotetime", false);
}

void set_emote(CBlob@ this, u8 emote)
{
    set_emote(this, emote, 0);
}
