CBlob@ getPostTrader( CBlob@ post, CBlob@[]@ traders )
{
    for (uint i=0; i < traders.length; i++)
    {
        CBlob@ trader = traders[i];

        if ((post.getPosition() - trader.getPosition()).getLength() < post.getRadius() + trader.getRadius())
        {
            return trader;
        }
    }

    return null;
}

CBlob@ getPostTrader( CBlob@ post )
{
    CBlob@[] traders;
    getBlobsByName( "trader", @traders );

    for (uint i=0; i < traders.length; i++)
    {
        CBlob@ trader = traders[i];

        if (!trader.hasTag("dead") && (post.getPosition() - trader.getPosition()).getLength() < post.getRadius() + trader.getRadius())
        {
            return trader;
        }
    }

    return null;
}