// Mini Keg logic

void onInit( CBlob@ this )
{
    this.getShape().getVars().waterDragScale = 8.0f;
	this.getShape().getConsts().collideWhenAttached = true;
    AttachmentPoint@ att = this.getAttachments().getAttachmentPointByName("PICKUP");
    att.SetKeysToTake( key_action1 | key_action2 );
    att.SetMouseTaken( false );
    this.set_f32("explosive_radius",84.0f);
    this.set_f32("explosive_damage",7.5f);
    this.set_string("custom_explosion_sound", "Entities/Items/Explosives/KegExplosion.ogg");
    this.setTeamNum(-1);
    this.set_f32("map_damage_radius", 52.0f);
    this.set_f32("map_damage_ratio", 0.5f);
	this.set_f32("keg_time", 200.0f);
    this.set_bool("map_damage_raycast", true);
    // this.Tag("medium weight");

	this.getCurrentScript().runFlags |= Script::remove_after_this;
}

//sprite update

void onTick( CSprite@ this )
{
    CBlob@ blob = this.getBlob();
    s32 timer = blob.get_s32("explosion_timer") - getGameTime();

    if (timer < 0) {
        return;
    }
		
    this.animation.frame = 1 + (this.animation.getFramesCount() - 1) * (1.0f - ((timer) / f32(blob.get_f32("keg_time"))));
}
