//scale the damage:
//      knights cant damage
//      arrows cant damage

#include "Hitters.as";

f32 onHit( CBlob@ this, Vec2f worldPoint, Vec2f velocity, f32 damage, CBlob@ hitterBlob, u8 customData )
{
    f32 dmg = damage;
		//  printf("customData " + customData);
    switch(customData)
    {
    case Hitters::builder:
        dmg *= 1.0f;
        break;

	case Hitters::sword:
		dmg = 0.0f;
		break;

    case Hitters::bomb:
        dmg *= 0.5f;
        break;

    case Hitters::explosion:
        dmg *= 0.5f;
        break;

	case Hitters::arrow:
	case Hitters::stab:
		dmg = 0.0f;
		break;

	case Hitters::cata_stones:
		dmg *= 3.0f;
		break;
	case Hitters::crush:
		dmg *= 4.0f;
		break;		   

    }
	//printf("dmd " + dmg );

    return dmg;
}
