

void onInit( CBlob@ this )
{
    this.set_u8("tile", 64 );
}

f32 onHit( CBlob@ this, Vec2f worldPoint, Vec2f velocity, f32 damage, CBlob@ hitterBlob, u8 customData )
{
    if (damage >= 0.5f)
    {
        Sound::Play( CFileMatcher("PickStone").getRandom(), worldPoint, Maths::Min( 1.0f, damage) );
    }

    return damage;
}

void onCollision( CBlob@ this, CBlob@ blob, bool solid, Vec2f normal, Vec2f point1 )
{
    if (!solid) {
        return;
    }

    f32 vellen = this.getVelocity().Length();

    if (vellen > 0.9f)
    {
        Sound::Play( CFileMatcher("StoneFall").getRandom(), point1, Maths::Min( 1.0f, vellen) );
    }
}
