 void onInit( CSprite@ this )
 {
	 this.getCurrentScript().runFlags |= Script::tick_hasattached;
 }

void onRender( CSprite@ this )
{
	if (this is null) return; //can happen with bad reload
	
    // draw only for local player
    CBlob@ localBlob = getLocalPlayerBlob();
	CBlob@ blob = this.getBlob();

    if (localBlob is null) {
        return;
    }
	    
    AttachmentPoint@ gunner = blob.getAttachments().getAttachmentPointByName("GUNNER");
	if (gunner !is null	&& gunner.getOccupied() is localBlob)
	{
		// draw ammo count

		Vec2f pos2d = blob.getScreenPos();
		Vec2f upperleft(pos2d.x - 18, pos2d.y + blob.getHeight()+30);
		Vec2f lowerright(pos2d.x + 18, upperleft.y + 20);

		GUI::DrawRectangle( upperleft, lowerright, SColor(255, 255, 255, 255 ) );

		u16 ammo = blob.get_u16("ammo stocked");

		string reqsText = " "+ammo;
		GUI::DrawText( reqsText, upperleft, lowerright, color_white, true, true, false );
	}
}
