#include "Hitters.as";

f32 onHit( CBlob@ this, Vec2f worldPoint, Vec2f velocity, f32 damage, CBlob@ hitterBlob, u8 customData )
{
    f32 dmg = damage;

    switch(customData)
    {
    case Hitters::builder:
        dmg *= 2.0f;
        break;

	case Hitters::sword:
		if (dmg <= 1.0f) {
			dmg = 0.5f;
		}
		else {
			dmg = 1.0f;
		}		
		break;

    case Hitters::bomb:
        dmg *= 1.40f;
        break;

    case Hitters::explosion:
        dmg *= 2.5f;
        break;

	case Hitters::arrow:
		dmg = 0.0f;
		break;

	case Hitters::ballista:
		dmg *= 2.0f;
		break;
	}

    return dmg;
}
