
#ifndef INCLUDED_BASETEAMINFO
#define INCLUDED_BASETEAMINFO

shared class BaseTeamInfo
{
    u8 index;
    string name;
    s8 players_count, alive_count;
	
	bool lost;

    BaseTeamInfo() { index = 0; name = ""; Reset(); }

    BaseTeamInfo(u8 _index, string _name)
    {
        index = _index;
        name = _name;
        Reset();
    }

    void Reset()
    {
        players_count = alive_count = 0;
		lost = false;
    }

};

#endif
