// TEMP!

#define SERVER_ONLY

void onTick( CRules@ this )
{
    if (!getNet().isServer()) {
        return;
    }

    // simple editor
    if (getControls().isKeyPressed(KEY_KEY_B)) {
        PlaceBlock( "stone_block" );
    }

    if (getControls().isKeyJustPressed(KEY_KEY_N)) {
        PlaceBlock( "longboat" );
    }

    if (getControls().isKeyJustPressed(KEY_KEY_J)) {
        PlaceBlock( "ballista" );
    }

    if (getControls().isKeyJustPressed(KEY_KEY_L)) {
        PlaceBlock( "knight" );
    }

    if (getControls().isKeyPressed(KEY_KEY_H)) {
        PlaceBlock( "catapult" );
    }

	if (getControls().isKeyPressed(KEY_KEY_G)) {
		PlaceBlock( "mat_wood" );	  	
	}

	if (getControls().isKeyPressed(KEY_KEY_P)) {
		PlaceBlock( "arrow" );

	}

    // delete blob

    if (getControls().isKeyJustPressed(KEY_KEY_X)) {
        Vec2f pos = getBottomOfCursor( getControls().getMouseWorldPos() );
        CBlob@ behindBlob = getMap().getBlobAtPosition( pos );

        if (behindBlob !is null)
        {
            behindBlob.server_Die();
        }
    }
}

void onRender( CRules@ this )
{
}

Vec2f getBottomOfCursor( Vec2f cursorPos )
{
    cursorPos = getMap().getTileSpacePosition( cursorPos );
    cursorPos = getMap().getTileWorldPosition( cursorPos );
    // check at bottom of cursor
    f32 w = getMap().tilesize / 2.0f;
    f32 h = getMap().tilesize / 2.0f;
    int offsetY = Maths::Max( 1, Maths::Round(8 / getMap().tilesize) ) - 1;
    h -= offsetY * getMap().tilesize / 2.0f;
    return Vec2f(cursorPos.x + w, cursorPos.y + h);
}

CBlob@ PlaceBlock(string name, bool static = false)
{
    Vec2f pos = getBottomOfCursor( getControls().getMouseWorldPos() );

    if (getMap().isBuildableAtPos( pos, 256, true ))
    {
        //CBlob@ behindBlob = getMap().getBlobAtPosition( pos );

        //if (behindBlob !is null)
        //{
        //    behindBlob.server_Die();
        //    return null;
        //}

        CBlob @block = server_CreateBlob( name );
        block.setPosition( pos );
        block.getShape().SetStatic( static );
		//block.SetFacingLeft( true );
        Sound::Play("Sounds/thud.ogg");
        return block;
    }

    return null;
}