
const string tagname = "played fanfare";

void onRestart(CRules@ this)
{
    this.set_bool(tagname, false);
}

void onTick(CRules@ this)
{
    if (this.isGameOver() && this.getTeamWon() >= 0 && !this.get_bool(tagname))
    {
        // only play for winners
        CPlayer@ localplayer = getLocalPlayer();

        if (localplayer !is null)
        {
            if (localplayer.getTeamNum() == this.getTeamWon()) {
                Sound::Play( "/FanfareWin.ogg" );
            }
            else {
                Sound::Play( "/FanfareLose.ogg" );
            }
        }

        this.set_bool(tagname, true);
        // no sound played on spectator or tie
    }
}
