#define SERVER_ONLY

const int min_fish = 10;
const string fish_name = "fishy";

void onTick(CRules@ this)
{
	if (getGameTime() % 29 != 0) return;
	if (Random(512) < 256) return; //50% chance of actually doing anything
	CMap@ map = getMap();
	
	CBlob@[] fish;
	getBlobsByName( fish_name, @fish );
	
	if (fish.length < min_fish)
	{
		f32 x = (f32((getGameTime() * 997) % map.tilemapwidth) + 0.5f) * map.tilesize;
		
		Vec2f top = Vec2f(x, map.tilesize);
		Vec2f bottom = Vec2f(x, map.tilemapheight * map.tilesize);
		Vec2f end;
		
		if (map.rayCastSolid(top,bottom,end))
		{
			f32 y = end.y;
			int i = 0;
			while(i ++< 3)
			{
				Vec2f pos = Vec2f(x,y-i*map.tilesize);
				if (map.isInWater(pos))
				{
					server_CreateBlob( fish_name, -1, pos );
					break;
				}
			}
		}
	}
}
