
// Simple rules logic script

#define SERVER_ONLY

void onInit(CRules@ this)
{
    if (!this.exists("default class")) {
        this.set_string( "default class", "builder" );
    }
}

void onRestart( CRules@ this )
{
}

void onTick(CRules@ this)
{
}

void onPlayerJoin( CRules@ this, CPlayer@ player )
{
    Respawn( this, player );
}

void onReceivedSpawnRequest( CRules@ this, CPlayer@ player )
{
    Respawn( this, player );
}

CBlob@ Respawn( CRules@ this, CPlayer@ player )
{
    if (player !is null)
    {
        // remove previous players blob
        CBlob @blob = player.getBlob();

        if (blob !is null)
        {
            CBlob @blob = player.getBlob();
            blob.server_SetPlayer( null );
            blob.server_Die();
        }

        CBlob @newBlob = server_CreateBlob( this.get_string( "default class" ), 0, getSpawnLocation( player ) );
        newBlob.server_SetPlayer( player );
        return newBlob;
    }

    return null;
}

Vec2f getSpawnLocation( CPlayer@ player )
{
    Vec2f[] spawns;

    if (getMap().getMarkers("blue spawn", spawns )) {
        return spawns[ Random( spawns.length ) ];
    }
    else if (getMap().getMarkers("blue main spawn", spawns )) {
        return spawns[ Random( spawns.length ) ];
    }

    return Vec2f(0,0);
}
