
void LoadDefaultGUI()
{
    if (v_driver > 0)
    {
        // load default skin
        GUI::LoadSkin( "GUI/guiSkin.cfg" );
        // add color tokens
        AddColorToken( "$RED$", SColor(255, 105, 25, 5) );
        AddColorToken( "$GREEN$", SColor(255, 5, 105, 25) );
        // add default icon tokens
        AddIconToken( "$NONE$", "GUI/InteractionIcons.png", Vec2f(32,32), 9 );
        AddIconToken( "$TIME$", "GUI/InteractionIcons.png", Vec2f(32,32), 0 );
        AddIconToken( "$coin$", "GUI/materials.png", Vec2f(16,16), 5 );
        AddIconToken( "$gold$", "GUI/materials.png", Vec2f(16,16), 2 );
        AddIconToken( "$TEAMS$", "GUI/MenuItems.png", Vec2f(32,32), 1 );
        AddIconToken( "$SPECTATOR$", "GUI/MenuItems.png", Vec2f(32,32), 19 );
        AddIconToken( "$FLAG$", CFileMatcher("flag.png").getFirst(), Vec2f(32,16), 0 );
        AddIconToken( "$DISABLED$", "GUI/InteractionIcons.png", Vec2f(32,32), 9, 1 );
		AddIconToken( "$CANCEL$", "GUI/MenuItems.png", Vec2f(32,32), 29 );

		// keys
		const Vec2f keyIconSize(21,21);
		AddIconToken( "$KEY_W$", "GUI/Keys.png", keyIconSize, 0 );
		AddIconToken( "$KEY_A$", "GUI/Keys.png", keyIconSize, 1 );
		AddIconToken( "$KEY_S$", "GUI/Keys.png", keyIconSize, 2 );
		AddIconToken( "$KEY_D$", "GUI/Keys.png", keyIconSize, 3 );
		AddIconToken( "$KEY_E$", "GUI/Keys.png", keyIconSize, 4 );
		AddIconToken( "$KEY_F$", "GUI/Keys.png", keyIconSize, 5 );
		AddIconToken( "$KEY_C$", "GUI/Keys.png", keyIconSize, 6 );
		AddIconToken( "$LMB$", "GUI/Keys.png", keyIconSize, 7 );
		AddIconToken( "$RMB$", "GUI/Keys.png", keyIconSize, 8 );
		AddIconToken( "$KEY_SPACE$", "GUI/Keys.png", keyIconSize, 9 );
    }
}
