void LoadMap()
{
    CRules@ rules = LoadRules("Rules/Sandbox/gamemode.cfg");
	rules.set_string("warconfig", "Rules/Sandbox/war_sandbox_vars.cfg");
    CMap@ map = LoadMap("Maps/WarSandbox.png");

    if (rules !is null)
    {
        rules.set_string("default class", "builder");
    }
}

void onInit( CMap@ this )
{
   // placeSign( this.getTileWorldPosition( Vec2f(22,36) ), "Welcome to the Builder Tutorial." );
	 AddBot( "Henry" );
}

void onTick( CMap@ this )
{
    int time = getMap().getTimeSinceStart();
}

void onRender( CMap@ this )
{
    const int time = getMap().getTimeSinceStart();
    const int endTime = getTicksASecond() * 4;

    if (time < endTime) {
        GUI::DrawText( "Welcome to King Arthur's Gold", Vec2f( getScreenWidth()/2 - 70, getScreenHeight()/2 - 60 ), SColor((1.0f - (time / endTime))*255, 255, 255, 255) );
    }
}
