// solo team deathmatch script

void LoadMap()
{
    print("-- LOADING SOLO DEATHMATCH SCRIPT --");
    LoadRules("Rules/TDM/gamemode.cfg");
    LoadMapCycle("Scripts/Solo/skirmishmaps.cfg");
    CMap@ map = LoadMap("Maps/RTDM/Ommadawn.png");

    // add map scripts

    if (map !is null)
    {
        //getMap().AddScript( "Scripts/Skirmish.as" ); // this script is automatically added
    }
}

void onInit( CMap@ this )
{
}

void onTick( CMap@ this )
{
    int time = getMap().getTimeSinceStart();
	int startTime = 150;

    if (time == startTime+60) {
        AddBot( "Henry" );
    }

    if (time == startTime+160) {
        AddBot( "Lauretta" );
    }

    if (time == startTime+360) {
        AddBot( "Jacob" );
    }

	if (time == startTime+560) {
		AddBot( "Maximillian" );
	}

	if (time == startTime+760) {
		AddBot( "Henrietta" );
	}
}


void onRender( CMap@ this )
{
	const int time = getMap().getTimeSinceStart();
	const int endTime = getTicksASecond() * 4;

	if (time < endTime) {
		GUI::DrawText( "FIGHT TO DEATH", Vec2f( getScreenWidth()/2 - 70, getScreenHeight()/2 - 60 ), SColor((1.0f - (time / endTime))*255, 255, 255, 255) );
	}
}
