void LoadMap()
{
    CRules@ rules = LoadRules("Rules/Solo/ArcherTut/gamemode.cfg");
    CMap@ map = LoadMap("Maps/tutorial_archer.png");

    if (rules !is null)
    {
        rules.set_string("default class", "archer");
    }
}

void onInit( CMap@ this )
{
    //placeSign( this.getTileWorldPosition( Vec2f(22,36) ), "Welcome to the Archer Tutorial." );
}

void onTick( CMap@ this )
{
    int time = getMap().getTimeSinceStart();
}

void onRender( CMap@ this )
{
    const int time = getMap().getTimeSinceStart();
    const int endTime = getTicksASecond() * 4;

    if (time < endTime) {
        GUI::DrawText( "ARCHER TUTORIAL", Vec2f( getScreenWidth()/2 - 70, getScreenHeight()/2 - 60 ), SColor((1.0f - (time / endTime))*255, 255, 255, 255) );
    }
}
