void LoadMap()
{
    CRules@ rules = LoadRules("Rules/Solo/KnightTut/gamemode.cfg");
    CMap@ map = LoadMap("Maps/tutorial_knight.png");

    if (rules !is null)
    {
        rules.set_string("default class", "knight");
    }
}

void onInit( CMap@ this )
{
}

void onTick( CMap@ this )
{
    int time = getMap().getTimeSinceStart();
}

void onRender( CMap@ this )
{
    const int time = getMap().getTimeSinceStart();
    const int endTime = getTicksASecond() * 4;

    if (time < endTime) {
        GUI::DrawText( "KNIGHT TUTORIAL", Vec2f( getScreenWidth()/2 - 70, getScreenHeight()/2 - 60 ), SColor((1.0f - (time / endTime))*255, 255, 255, 255) );
    }
}
